Skip to content
Prividium

m2m-app-api-keys

GET /m2m-applications/{m2mAppId}/api-keys

GET/m2m-applications/{m2mAppId}/api-keys

List API keys for an m2m application (paginated)

Path Parameters

m2mAppIdRequired
string

Query Parameters

limit
integer·min 1·max 1000·default 10
offset
integer·min 0·max 9007199254740991·default 0

Responses

POST /m2m-applications/{m2mAppId}/api-keys

POST/m2m-applications/{m2mAppId}/api-keys

Create a new API key for an m2m application (returns full key only once)

Path Parameters

m2mAppIdRequired
string

Request Body

application/json
nameRequired
string·min 1·max 100
expiresAtRequired
unknown

Responses

DELETE /m2m-applications/{m2mAppId}/api-keys/{keyId}

DELETE/m2m-applications/{m2mAppId}/api-keys/{keyId}

Revoke an API key for an m2m application

Path Parameters

m2mAppIdRequired
string
keyIdRequired
string

Responses